# Uses of Interface
org.apache.sysds.runtime.ooc.cache.io.OOCIOHandler

Packages that use OOCIOHandler
Package
Description
org.apache.sysds.runtime.ooc.cache
org.apache.sysds.runtime.ooc.cache.io
org.apache.sysds.runtime.ooc.cache.legacy
org.apache.sysds.runtime.ooc.cache.packed

## Uses of OOCIOHandler in org.apache.sysds.runtime.ooc.cache

Methods in org.apache.sysds.runtime.ooc.cache that return OOCIOHandler
Modifier and Type
Method
Description
`static OOCIOHandler`
OOCCacheManager.`getIOHandler()`
Constructors in org.apache.sysds.runtime.ooc.cache with parameters of type OOCIOHandler
Modifier
Constructor
Description
``
`OOCCacheImpl(OOCIOHandler ioHandler, long hardLimit, long evictionLimit)`

## Uses of OOCIOHandler in org.apache.sysds.runtime.ooc.cache.io

Classes in org.apache.sysds.runtime.ooc.cache.io that implement OOCIOHandler
Modifier and Type
Class
Description
`class`
`OOCMatrixIOHandler`

## Uses of OOCIOHandler in org.apache.sysds.runtime.ooc.cache.legacy

Constructors in org.apache.sysds.runtime.ooc.cache.legacy with parameters of type OOCIOHandler
Modifier
Constructor
Description
``
`OOCLRUCacheScheduler(OOCIOHandler ioHandler, long evictionLimit, long hardLimit, long readBuffer)`

## Uses of OOCIOHandler in org.apache.sysds.runtime.ooc.cache.packed

Constructors in org.apache.sysds.runtime.ooc.cache.packed with parameters of type OOCIOHandler
Modifier
Constructor
Description
``
`OOCPackedCache(OOCIOHandler ioHandler, long hardLimit, long evictionLimit)`